AnsweredAssumed Answered

ChatStateManager requires: org.jivesoftware.smack.chat.Chat instead: org.jivesoftware.smack.chat2.Chat

Question asked by Luis Ángel on Jun 6, 2017

Hi there,

I am trying to implement a chat composing indicator in a chat app, I recently updated my library from 4.2.0-beta2, to 4.2.0, and everything is ok, everything works perfect for me, there is just one detail that is giving me some problems, by the time that I want to do this:

ChatStateManager.getInstance(connection).setCurrentState(ChatState.composing, chat);

 

The problem with this is that now I am using this: org.jivesoftware.smack.chat2.Chat, but the ChatStateManager requires org.jivesoftware.smack.chat.Chat.

 

So my question would be, is there any kind of ChatStateManager in the package number 2?

is this a known problem? is there any work started to fix this?

 

Thanks for the help.

Outcomes